/*
 * Class BOX [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_733 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_733 [] = {0xFF01,237,732,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_733 [] = {0xFF01,732,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_733 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_733 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_733 [] = {0xFF01,732,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_733 [] = {0xFF01,732,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_733 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_733 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_733 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_733 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_733 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_733 [] = {732,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_733 [] = {0xFF01,732,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_733 [] = {0xFF01,719,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_733 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_733[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_733), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_733), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_733), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_733), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_733), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_733), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_733), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_733), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_733), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_733), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_733), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_733), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_733), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_733), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1911, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1912, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1914, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_733), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_733), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init733(void)
{
	IDSC(desc_733, 0, 732);
	IDSC(desc_733 + 1, 1, 732);
	IDSC(desc_733 + 32, 77, 732);
	IDSC(desc_733 + 41, 35, 732);
}


#ifdef __cplusplus
}
#endif
